MADFULOAD(1)

NAME
madfuload - Device firmware loader utility for M-Audio DFU devices

SYNOPSIS
madfuload [ option ] ...

DESCRIPTION
madfuload is used to download firmware files to M-Audio DFU devices. These devices require a firmware download before an operating system driver (e.g. ALSA's snd-usb-audio) can access them.

Supported devices:

     - Audiophile
     - Sonica
     - Ozone
     - MobilePre USB (some newer models work without the loader)
     - Transit

The loader is not required for some newer models of the above devices, like the Ozone Academic.

OPTIONS

-h, --help
    Gives a list of possible options.

-V, --version
    Prints the version number of the tool.

-f <path>, --firmware=<path>
    File containing firmware to load.

-D <path>, --device=<path>
    specify the device to use.

-v, --verbose
    Output debugging messages.

-l, --logger
    Output messages to system logger instead of standard output.

-n, --nowait
    Don't wait between download requests.

-3, waitbyte3
    Use only the third byte of the BwPollTimeout field.

FILES

/usr/share/usb/maudio/ma003101.bin
    Audiophile firmware.

/usr/share/usb/maudio/ma004103.bin
    MobilePre firmware.

/usr/share/usb/maudio/ma005101.bin
    Sonica firmware.

/usr/share/usb/maudio/ma006100.bin
    Transit firmware.

/usr/share/usb/maudio/ma008100.bin
    Ozone firmware.

/lib/udev/rules.d/42-madfuload.rules
    Udev rules for loading firmware automatically.

AUTHOR

Written by Clemens Ladisch <clemens@ladisch.de>.

This manual page was written by Neil Wilson <neil@aldur.co.uk> for the Debian GNU/Linux system (but may be used by others).